# note; gnome-bluetooth-3.4.1 supports 3.0.x only.

%global		momorel 1
Name:           nautilus-sendto
Version:        3.8.4
Release:        %{momorel}m%{?dist}
Summary:        Nautilus context menu for sending files

Group:          User Interface/Desktops
License:        GPLv2+
URL:            ftp://ftp.gnome.org/pub/gnome/sources/%{name}
Source0:        http://download.gnome.org/sources/%{name}/3.8/%{name}-%{version}.tar.xz
NoSource:	0

BuildRequires:  gettext
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk3-devel
BuildRequires:  perl-XML-Parser intltool

# For compat with old nautilus-sendto packaging
Provides: nautilus-sendto-gaim
Obsoletes: nautilus-sendto-bluetooth
Provides: nautilus-sendto-bluetooth
Obsoletes: nautilus-sendto-devel < 3.7.92

%description
The nautilus-sendto package provides a Nautilus context menu for
sending files via other desktop applications.  These functions are
implemented as plugins, so nautilus-sendto can be extended with
additional features.

%prep
%setup -q

%build
%configure
%make


%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

find $RPM_BUILD_ROOT \( -name '*.a' -o -name '*.la' \) -exec rm -f {} \;

rm -f $RPM_BUILD_ROOT/%{_libdir}/nautilus-sendto/plugins/libnstbluetooth.so
# now shipped with nautilus itself
rm -f $RPM_BUILD_ROOT/%{_libdir}/nautilus/extensions-3.0/libnautilus-sendto.so

%find_lang %{name}

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :

%pre
%gconf_schema_prepare nst

%preun
%gconf_schema_remove nst

%files -f %{name}.lang
%doc AUTHORS ChangeLog ChangeLog.pre-1.1.4.1 COPYING NEWS
%{_bindir}/nautilus-sendto
%{_mandir}/man1/nautilus-sendto.1.*

%changelog
* Sat Feb 18 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (3.8.4-1m)
- update to 3.8.4

* Fri Sep 26 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.8.2-1m)
- update to 3.8.2

* Thu Mar 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.8.1-1m)
- update to 3.8.1

* Wed Jun 26 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.8.0-1m)
- update to 3.8.0

* Thu Sep 27 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.6.0-1m)
- update to 3.6.0

* Fri Aug 24 2012 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-3m)
- rebuild against evolution-data-server-3.5.90

* Tue Jul 17 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.3-2m)
- rebuild for evolution-data-server-devel

* Sat Jul  7 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.5.3-1m)
- update to 3.5.3

* Thu Jul  5 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.0.3-2m)
- fix BuildRequires

* Wed Jul  4 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.0.3-1m)
- import from fedora
